import React from 'react';
import BreadCrumbItemBehaviour from "./BreadCrumbItem.behaviour";
import breadcrumbItemProps, {defaultProps,propsDescription} from "./BreadCrumbItem.propTypes";
import BreadCrumbItemSkeleton from "./BreadCrumbItem.skeleton";

export default function BreadCrumbItem(props) {
    return(
        <BreadCrumbItemBehaviour 
            renderComponent={BreadCrumbItemSkeleton}
            {...props}
        />
    )
}


BreadCrumbItem.propTypes=breadcrumbItemProps;
BreadCrumbItem.defaultProps=defaultProps;
BreadCrumbItem.propTypesDescription=propsDescription