import React from "react";
import Month from "../Month";
import { dateFormat } from "../../dateTimeFormat";
import componentGroups from "../../../../docs-utils/componentGroups";
import componentCategories from "../../../../docs-utils/componentCategories";

export default class Month__default extends React.Component {
  render() {
    let { monthNamesData } = this.props;
    return (
      <>
        <Month
          month={6}
          onClick={() => {}}
          isActive={false}
          displayText={"july"}
          monthNamesData={monthNamesData}
        />
        <Month
          month={7}
          onClick={() => {}}
          isActive={true}
          displayText={"August"}
          monthNamesData={monthNamesData}
        />
      </>
    );
  }
}

if (__DOCS__) {
  Month__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };

  Month__default.defaultProps = {
    dataId: "dateWidget",
    month: "7",
    dayNames: dateFormat().dayNames,
    dayNamesShort: dateFormat().dayNamesShort,
    monthNamesData: dateFormat().monthNames,
    monthNamesShort: dateFormat().monthNamesShort
  };
}
