import React from "react";
import YearBehaviour from "./Year.behaviour";
import YearSkeleton from "./Year.skeleton";
import YearPropTypes, {
  defaultProps,
  propsDescription
} from "./Year.propTypes";
import componentGroups from "../../../docs-utils/componentGroups";
import componentCategories from "../../../docs-utils/componentCategories";
//import constantProps from "./Year.constantProps";

export default function Year(props) {
  return <YearBehaviour {...props} renderComponent={YearSkeleton} />;
}
if (__DOCS__) {
  Year.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
Year.propTypes = YearPropTypes;
Year.defaultProps = defaultProps;
Year.propsDescription = propsDescription;
//Year.constantProps=constantProps;
