import React from 'react';
import DocsTabsViewer from '@zohodesk/docs/es/docsviewer/DocsTabsViewer';
import Year from '../Year';
import YearDocConfig from './Year.model.docConfig';
import componentGroups from '../../../../docs-utils/componentGroups';
import componentCategories from '../../../../docs-utils/componentCategories';

export default function Year__Model(props) {
  return <DocsTabsViewer docConfig={YearDocConfig} componentType={Year} {...props} />;
}
if (__DOCS__) {
  Year__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
