import React from 'react';
import Box from '../layout/Box';
import Text from '../text/Text';
import { bodyPropTypes } from './Dialog.propTypes';

export default function Body(props) {
  let defaultCustomId = 'body';
  let { children, customClassName, elllipsis } = props;
  return (
    <Box dataId={defaultCustomId} className={customClassName} flexible basis>
      {typeof children == 'string' ? <Text content={children} textEllipsis={elllipsis} /> : children}
    </Box>
  );
}

Body.propTypes = bodyPropTypes;
