import React from "react";
import style from "./DropDown.module.css";
import DropDownSkeletonPropTypes, { defaultProps } from "./DropDown.propTypes";
import Popup, { PopupContent, PopupTarget } from "../popup/Popup";
export default function DropDownSkeleton(props) {
  return <Popup {...props} />;
}
export function DropDownTargetSkeleton(props) {
  return <PopupTarget {...props} />;
}
export function DropDownContentSkeleton(props) {
  return <PopupContent {...props} />;
}

DropDownSkeleton.propTypes = DropDownSkeletonPropTypes;
DropDownSkeleton.defaultProps = defaultProps;
