import React from 'react';
import Box from '../Box';
import { DocsTabsViewer } from '@zohodesk/docs';
import docConfig from './Box.model.docConfig';
import componentGroups from '../../../docs-utils/componentGroups';
import componentCategories from '../../../docs-utils/componentCategories';

export default function Box__model(props) {
  return <DocsTabsViewer docConfig={docConfig} componentType={Box} {...props} />;
}

if (__DOCS__) {
  Box__model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
