import React from 'react';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';
import { DocsTabsViewer } from '@zohodesk/docs';
import Pagination from '../Pagination';
import paginationDocConfig from './Pagination.model.docConfig';

export default function Pagination__Model(props) {
  return <DocsTabsViewer docConfig={paginationDocConfig} componentType={Pagination} {...props} />;
}
if (__DOCS__) {
  Pagination__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
