import React from "react";
import Select, { Option } from "../Select";
import renderer from "react-test-renderer";

describe("Select component", () => {
  it("should default", () => {
    let ele = renderer.create(
      <Select onChange={() => {}} selectedValue={"red"}>
        <Option value="red">Red</Option>
        <Option
          value="green"
          onChange={(value) => {
            console.log(value, "option");
          }}
        >
          Green
        </Option>
        <Option value="blue" disabled>
          Blue
        </Option>
        <Option value="yellow">
          <span style={{ padding: "20px", display: "inline-block" }}>
            Yellow
          </span>
        </Option>
        <Option value="orange">Orange </Option>
        <Option value="rose"> Rose </Option>
      </Select>
    );
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
});

// To test variants colors sizes
// To test persistPopupOnSelect
// To check selected value rendered correcctly
// Render seleccted valuue fflow
// Accessbility wise
// default value and selectedvalue props cases
// with search mode cases (container removecclose,search str hanndling, onchanges events,filtering cases )
// empty states
// handle scroll cases

// to follow state-reducers pattern
