import React from 'react';
import { DocsTabsViewer } from '@zohodesk/docs';
import Select from '../Select';
import { SelectWithSearchExample } from './Select__search.docs';
import Select__scroll from './Select__scroll.docs';
import SelectDocConfig from './Select.model.docConfig';
import componentGroups from '../../../docs-utils/componentGroups';
import componentCategories from '../../../docs-utils/componentCategories';
import './Select.module.theme.css';

export default function Select__Model(props) {
  return (
    <DocsTabsViewer
      docConfig={SelectDocConfig}
      componentType={Select}
      components={{ Select, SelectWithSearchExample, Select__scroll }}
      {...props}
    />
  );
}
if (__DOCS__) {
  Select__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
