import React from "react";
import Stencil from "../Stencil";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";

export default function Stencil__default(props) {
  return (
    <div style={{ padding: "0 20px 50px 20px" }}>
      <br />
      <div>Variant</div>
      <br />
      <span style={{ marginRight: "20px" }}>
        <Stencil size='md' />
      </span>
      <span style={{ marginRight: "20px" }}>
        <Stencil size='md' variant='secondary' />
      </span>
      <br />
      <br />
      <div>Shape</div>
      <br />
      <span style={{ marginRight: "20px" }}>
        <Stencil size='md' />
        <br />
        <Stencil shape='rounded-corner' size='md' />
        <br />
        <Stencil shape='circle' size='md' />
        <br />
        <div style={{ width: "500px" }}>
          <Stencil shape='line' size='line-md' />
        </div>
        <br />
        <div style={{ width: "500px" }}>
          <Stencil shape='rounded-corner' size='line-md' />
        </div>
        <br />
      </span>
      <br />
      <br />
      <div>Size</div>
      <br />
      <span style={{ marginRight: "20px" }}>
        <span style={{ marginRight: "20px" }}>
          <Stencil type='circle' size='sm' />
        </span>

        <span style={{ marginRight: "20px" }}>
          <Stencil type='circle' size='md' />
        </span>

        <span style={{ marginRight: "20px" }}>
          <Stencil type='circle' size='lg' />
        </span>

        <span style={{ marginRight: "20px" }}>
          <Stencil type='circle' size='xlg' />
        </span>
        <br />
        <div style={{ width: "500px" }}>
          <Stencil shape='line' size='line-sm' />
        </div>
        <br />
        <div style={{ width: "500px" }}>
          <Stencil shape='line' size='line-md' />
        </div>
        <br />
        <div style={{ width: "500px" }}>
          <Stencil shape='line' size='line-lg' />
        </div>
        <br />
        <div style={{ width: "500px" }}>
          <Stencil shape='line' size='line-xlg' />
        </div>
        <br />
      </span>
      <br />
    </div>
  );
}

if (__DOCS__) {
  Stencil__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
