import React from 'react';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';
import { DocsTabsViewer } from '@zohodesk/docs';
import SwitchConsumer from '../Switch.consumer';
import switchDocConfig from './Switch.model.docConfig';

export default function Switch__Model(props) {
  return <DocsTabsViewer docConfig={switchDocConfig} componentType={SwitchConsumer} {...props} />;
}
if (__DOCS__) {
  Switch__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
