import React from "react";
import Switch from "../Switch";
import componentCategories from "../../../docs-utils/componentCategories";
import componentGroups from "../../../docs-utils/componentGroups";

export default function Switch__default(props) {
  return (
    <div style={{ padding: "0 20px 50px 20px" }}>
      <br />
      <div>Variant</div>
      <br />
      <Switch variant='primary' />
      <br />
      <br />
      <Switch variant='secondary' />
      <br />
      <br />
      <div>Shape</div>
      <br />
      <Switch />
      <br />
      <br />
      <Switch rounded='rounded' />
      <br />
      <br />
      <div>Size</div>
      <br />
      <Switch size='small' />
      <br />
      <br />
      <Switch size='medium' />
      <br />
      <br />
      <Switch size='large' />
      <br />
      <br />
      <div>Disabled</div>
      <br />
      <Switch disabled='disabled' />
      <br />
    </div>
  );
}

if (__DOCS__) {
  Switch__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
