import React from 'react';
import { DocsTabsViewer } from '@zohodesk/docs';
import Text from '../Text';
import textDocConfig from './Text.model.docConfig';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';

export default function Text__model(props) {
  return <DocsTabsViewer docConfig={textDocConfig} componentType={Text} {...props} />;
}
if (__DOCS__) {
  Text__model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
