import React from 'react';
import { DocsTabsViewer } from '@zohodesk/docs';
import Textarea, { TextareaControlled } from '../Textarea';
import textAreaDocConfig from './Textarea.model.docConfig';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';

export default function Textarea__Model(props) {
  return (
    <DocsTabsViewer
      docConfig={textAreaDocConfig}
      componentType={Textarea}
      components={{ Textarea, TextareaControlled }}
      {...props}
    />
  );
}

if (__DOCS__) {
  Textarea__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
