import React from 'react';
import componentCategories from '../../../docs-utils/componentCategories';
import componentGroups from '../../../docs-utils/componentGroups';
import { DocsTabsViewer } from '@zohodesk/docs';
import Tooltip from '../Tooltip';
import tooltipDocConfig from './Tooltip.model.docConfig';

export default function Tooltip__Model(props) {
  return <DocsTabsViewer docConfig={tooltipDocConfig} componentType={Tooltip} {...props} />;
}
if (__DOCS__) {
  Tooltip__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
