import React from "react";
import Select, { Option } from "../Select";
import renderer from "react-test-renderer";
describe("Select component", () => {
  it("should default", () => {
    let ele = renderer.create( /*#__PURE__*/React.createElement(Select, {
      onChange: () => {},
      selectedValue: "red"
    }, /*#__PURE__*/React.createElement(Option, {
      value: "red"
    }, "Red"), /*#__PURE__*/React.createElement(Option, {
      value: "green",
      onChange: value => {
        console.log(value, "option");
      }
    }, "Green"), /*#__PURE__*/React.createElement(Option, {
      value: "blue",
      disabled: true
    }, "Blue"), /*#__PURE__*/React.createElement(Option, {
      value: "yellow"
    }, /*#__PURE__*/React.createElement("span", {
      style: {
        padding: "20px",
        display: "inline-block"
      }
    }, "Yellow")), /*#__PURE__*/React.createElement(Option, {
      value: "orange"
    }, "Orange "), /*#__PURE__*/React.createElement(Option, {
      value: "rose"
    }, " Rose ")));
    let tree = ele.toJSON();
    expect(tree).toMatchSnapshot();
  });
}); // To test variants colors sizes
// To test persistPopupOnSelect
// To check selected value rendered correcctly
// Render seleccted valuue fflow
// Accessbility wise
// default value and selectedvalue props cases
// with search mode cases (container removecclose,search str hanndling, onchanges events,filtering cases )
// empty states
// handle scroll cases
// to follow state-reducers pattern