export default function combineReducers(...reducers) {
    return (state, changes) => {
        let result = state;
        for (let reducer of reducers) {
            result = reducer(result, changes);
        }
        return result;
    };
}