import React from 'react';
import DocsTabsViewer from '@zohodesk/docs/es/docsviewer/DocsTabsViewer';
import Datebox from '../Datebox';
import DateboxDocConfig from './Datebox.model.docConfig';
import componentGroups from '../../../../docs-utils/componentGroups';
import componentCategories from '../../../../docs-utils/componentCategories';
//import "./Datebox.module.theme.css";

export default function Datebox__Model(props) {
  return <DocsTabsViewer docConfig={DateboxDocConfig} componentType={Datebox} {...props} />;
}
if (__DOCS__) {
  Datebox__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
