import React from "react";
import Datebox from "../Datebox";
import constantProps from "../Datebox.constantProps";
import componentGroups from "../../../../docs-utils/componentGroups";
import componentCategories from "../../../../docs-utils/componentCategories";
import { dateFormat } from "../../dateTimeFormat";

export default class Datebox__default extends React.Component {
  render() {
    let va = [
      {
        isActive: false,
        handleSelect: () => {},
        incremday: "24",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected`,
        size: constantProps.size.small,
        shape: constantProps.shape.circle
      },
      {
        isActive: true,
        handleSelect: () => {},
        incremday: "25",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected1`,
        size: constantProps.size.small,
        shape: constantProps.shape.circle
      },
      {
        isActive: false,
        handleSelect: () => {},
        incremday: "24",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected`,
        size: constantProps.size.small,
        shape: constantProps.shape.square
      },
      {
        isActive: true,
        handleSelect: () => {},
        incremday: "25",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected1`,
        size: constantProps.size.small,
        shape: constantProps.shape.square
      },
      {
        isActive: false,
        handleSelect: () => {},
        incremday: "24",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected`,
        size: constantProps.size.medium,
        shape: constantProps.shape.circle
      },
      {
        isActive: true,
        handleSelect: () => {},
        incremday: "25",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected1`,
        size: constantProps.size.medium,
        shape: constantProps.shape.circle
      },
      {
        isActive: false,
        handleSelect: () => {},
        incremday: "24",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected`,
        size: constantProps.size.medium,
        shape: constantProps.shape.square
      },
      {
        isActive: true,
        handleSelect: () => {},
        incremday: "25",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected1`,
        size: constantProps.size.medium,
        shape: constantProps.shape.square
      },
      {
        isActive: false,
        handleSelect: () => {},
        incremday: "24",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected`,
        size: constantProps.size.large,
        shape: constantProps.shape.circle
      },
      {
        isActive: true,
        handleSelect: () => {},
        incremday: "25",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected1`,
        size: constantProps.size.large,
        shape: constantProps.shape.circle
      },
      {
        isActive: false,
        handleSelect: () => {},
        incremday: "24",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected`,
        size: constantProps.size.large,
        shape: constantProps.shape.square
      },
      {
        isActive: true,
        handleSelect: () => {},
        incremday: "25",
        userSeeMonth: "7",
        userSeeYear: "2021",
        dataId: `dateSelected1`,
        size: constantProps.size.large,
        shape: constantProps.shape.square
      }
    ];
    return (
      <>
        {va.map((item, i) => {
          return <Datebox key={i} {...item} />;
        })}
      </>
    );
  }
}
if (__DOCS__) {
  Datebox__default.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
  Datebox__default.defaultProps = {
    dataId: "dateWidget",
    dayNames: dateFormat().dayNames,
    dayNamesShort: dateFormat().dayNamesShort,
    monthNames: dateFormat().monthNames,
    monthNamesShort: dateFormat().monthNamesShort
  };
}
