import React from 'react';
import DocsTabsViewer from '@zohodesk/docs/es/docsviewer/DocsTabsViewer';
import Month from '../Month';
import MonthDocConfig from './Month.model.docConfig';
import componentGroups from '../../../../docs-utils/componentGroups';
import componentCategories from '../../../../docs-utils/componentCategories';

export default function Month__Model(props) {
  return <DocsTabsViewer docConfig={MonthDocConfig} componentType={Month} {...props} />;
}
if (__DOCS__) {
  Month__Model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
