import React from 'react';
import Box from '../Box';
import renderer from 'react-test-renderer';
import boxConstants from '../Box.constantProps';

describe("Box component", () => {
    it("should display the layout component as Box", () => {
        let ele = renderer.create(
            <Box>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box", () => {
        let ele = renderer.create(
            <Box>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box alignSelf", () => {
        let ele = renderer.create(
            <Box alignSelf={boxConstants.alignSelf.start}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box alignSelf", () => {
        let ele = renderer.create(
            <Box alignSelf={boxConstants.alignSelf.end}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box alignSelf", () => {
        let ele = renderer.create(
            <Box alignSelf={boxConstants.alignSelf.center}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Box isFirst", () => {
        let ele = renderer.create(
            <Box isFirst>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Box isLast", () => {
        let ele = renderer.create(
            <Box isLast>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Box column-col_1", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['1']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_2", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['2']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_3", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['3']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_4", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['4']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_5", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['5']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_6", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['6']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_7", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['7']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_8", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['8']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_9", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['9']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_10", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['10']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_11", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['11']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box column-col_12", () => {
        let ele = renderer.create(
            <Box column={boxConstants.column['12']}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box spacing-none", () => {
        let ele = renderer.create(
            <Box spacing={boxConstants.spacing.none}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box spacing-xsmall", () => {
        let ele = renderer.create(
            <Box spacing={boxConstants.spacing.xSmall}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box spacing-small", () => {
        let ele = renderer.create(
            <Box spacing={boxConstants.spacing.small}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box spacing-medium", () => {
        let ele = renderer.create(
            <Box spacing={boxConstants.spacing.medium}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box spacing-large", () => {
        let ele = renderer.create(
            <Box spacing={boxConstants.spacing.large}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box spacing-xlarge", () => {
        let ele = renderer.create(
            <Box spacing={boxConstants.spacing.xLarge}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Box flexible", () => {
        let ele = renderer.create(
            <Box flexible>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box basis", () => {
        let ele = renderer.create(
            <Box  basis>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box shrink", () => {
        let ele = renderer.create(
            <Box shrink>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box flexible,basis", () => {
        let ele = renderer.create(
            <Box flexible basis>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box scroll-none", () => {
        let ele = renderer.create(
            <Box scroll={boxConstants.scroll.none}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box scroll-vertical", () => {
        let ele = renderer.create(
            <Box scroll={boxConstants.scroll.vertical}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });    
    it("should display the layout component as Box scroll-horizontal", () => {
        let ele = renderer.create(
            <Box scroll={boxConstants.scroll.horizontal}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box scroll-both", () => {
        let ele = renderer.create(
            <Box scroll={boxConstants.scroll.both}>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Box customclassName", () => {
        let ele = renderer.create(
            <Box customClassName={
                {
                    flexible:"flexible",
                    basis:"basis",
                    shrink: "shrink",
                    column:"Column",
                    alignSelf:"alignSelf",
                    spacing: "spacing",
                    scroll: "scroll"
                }
            }>Box</Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container", () => {
        let ele = renderer.create(
                <Box isContainer={true}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                isInline={true}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container isInline", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                isInline={true}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container isCover", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                isCover={true}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-row", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,justifyContent-start", () => {
        let ele = renderer.create(
                    <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });


    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-both,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-both,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-both,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-both,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-both,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-both,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-top,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-top,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-top,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-top,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-top,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-top,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-bottom,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-baseline,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline} justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline} justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-columnReverse,justifyContent-start", () => {
        let ele = renderer.create(
                    <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });


    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-horizontal,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-vertical,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-both,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-both,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-both,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-both,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-both,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-both,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-top,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-top,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-top,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-top,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-top,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-top,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-bottom,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-bottom,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-baseline,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline} justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline} justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-baseline,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrapReverse,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrapReverse,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrapReverse,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrapReverse,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-wrapReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.wrapReverse}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-horizontal,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-horizontal,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-horizontal,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-horizontal,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-horizontal,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-horizontal,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-horizontal,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-horizontal,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-horizontal,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.horizontal}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-vertical,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-vertical,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-vertical,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-vertical,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-vertical,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-vertical,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-vertical,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-vertical,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-both,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-both,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-both,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-both,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-both,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-both,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-both,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-both,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-both,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-both,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.both}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-top,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-top,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-top,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-top,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-top,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-top,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-top,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-top,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.vertical}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-top,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-top,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.top}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-bottom,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-bottom,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.row} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-bottom,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-bottom,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-bottom,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-bottom,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-bottom,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
               direction={boxConstants.direction.column} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
               align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-bottom,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-bottom,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.bottom}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-row,align-baseline,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline} justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline} justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-row,align-baseline,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.row}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-baseline,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-column,align-baseline,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-baseline,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-baseline,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-column,align-baseline,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.column}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });

    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,align-baseline,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-rowReverse,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.rowReverse} 
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-nowrap,justifyContent-start", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.start}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-nowrap,justifyContent-end", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.end}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-nowrap,justifyContent-center", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.center}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-nowrap,justifyContent-around", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.around}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
    it("should display the layout component as Container direction-columnReverse,align-baseline,wrap-nowrap,justifyContent-between", () => {
        let ele = renderer.create(
            <Box isContainer={true} 
                direction={boxConstants.direction.columnReverse}
                align={boxConstants.align.baseline}
                wrap={boxConstants.wrap.nowrap}
                justifyContent={boxConstants.justifyContent.between}>
                Box
            </Box>
        );
        let tree = ele.toJSON();
        expect(tree).toMatchSnapshot();
    });
})