import React from 'react';
import Tag from '../Tag';
import { DocsTabsViewer } from '@zohodesk/docs';
import docConfig from './Tag.model.docConfig';
import componentGroups from '../../../docs-utils/componentGroups';
import componentCategories from '../../../docs-utils/componentCategories';

export default function Tag__model(props) {
  return <DocsTabsViewer docConfig={docConfig} componentType={Tag} {...props} />;
}

if (__DOCS__) {
  Tag__model.docs = {
    componentGroup: componentGroups.Components,
    folderName: componentCategories.UCL
  };
}
